Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.logging.server
Class JsonLogRecordServerUtil

    java.lang.Object
      com.google.gwt.logging.server.JsonLogRecordServerUtil

    public class JsonLogRecordServerUtil

extends java.lang.Object

A set of functions to convert standard JSON strings into LogRecords. The corresponding functions to create the JSON strings are in JsonLogRecordClientUtil.java. This class should only be used in server side code since it imports org.json classes. TODO(unnurg) once there is a unified JSON GWT library, combine this with JsonLogRecordClientUtil.

Constructor Summary
`JsonLogRecordServerUtil()`

Method Summary
`static java.util.logging.LogRecord` | `logRecordFromJson(java.lang.String jsonString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsonLogRecordServerUtil

    public JsonLogRecordServerUtil()

Method Detail

### logRecordFromJson

    public static java.util.logging.LogRecord logRecordFromJson(java.lang.String jsonString)
                                                         throws JSONException

  Throws:
    `JSONException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD